#include "cnetheader.h"

/*  The cnet network simulator (v1.7.7)
    Copyright (C) 1992-2002, Chris McDonald

    Chris McDonald, chris@cs.uwa.edu.au
    Department of Computer Science & Software Engineering
    The University of Western Australia,
    Crawley, Western Australia, 6009
    PH: +61 8 9380 2533, FAX: +61 8 9380 1089.

    This program is free software; you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the
    Free Software Foundation; either version 2 of the License, or (at your
    option) any later version.

    This program is distributed in the hope that it will be useful, but
    WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
    for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

NODEATTR DEFAULTNODE = {
	(CnetAddr)0,			/* address */
	100,				/* minmessagesize - bytes */
	7*K,				/* maxmessagesize - bytes */
	200,				/* messagerate - in ms */
	(char  *)NULL,			/* outputfile */
	(char **)NULL,			/* reboot_args */
	DEFAULT_REBOOT_FUNCTION,	/* reboot_func */
	DEFAULT_COMPILE_STRING,		/* compile */
	(char *)NULL,			/* operating system name */
	0,				/* nodemtbf, 0 => no failure */
	10000,				/* nodemttr - in ms */
	FALSE,				/* stdio_quiet */
	FALSE,				/* trace_all */
	0,				/* trace_mask */
	10,  10,			/* x, y coords */
	10, 250,			/* winx, winy coords */
	FALSE				/* winopen */
};

LINKATTR DEFAULTLINK = {
	100*1000*1000,			/* bandwidth - 100Mbps */
	0,				/* costperbyte */
	0,				/* costperframe */
	0,				/* probframecorrupt */
	0,				/* probframeloss */
	100,				/* propagationdelay - in ms */
	MAX_MESSAGE_SIZE + 1*K,		/* transmit buffer size (bytes) */
	0,				/* LINKMTBF in ms */
	10000,				/* LINKMTTR in ms */
	0				/* next time free in ms */
};

GLOBALATTR gattr = {
	NULL,				/* bgimage */
	FALSE,				/* drawframes */
	FALSE,				/* showcostperbyte */
	FALSE,				/* showcostperframe */
	FALSE,				/* stdio_quiet */
	FALSE,				/* trace_events */
	(char *)NULL,			/* trace filenm */
	(FILE *)NULL			/* trace file pointer */
};


int	dflag		= FALSE;	/* debugging/diagnostics */
int	vflag		= FALSE;	/* be verbose about cnet's actions */

#if	defined(USE_TCLTK)
int	Wflag		= TRUE;		/* run under the windowing env. */
#else
int	Wflag		= FALSE;	/* run without the windowing env. */
#endif

char	*argv0;


/* ------------------- NETWORKING/TOPOLOGY VARIABLES --------------------- */


int             THISNODE	= 0;
CnetEvent	HANDLING	= EV_NULL;

int             _NNODES;
int             _NLINKS;
int             NNODES			= 0;	/* divulged with  cnet -N */
long		EV_COUNT[N_CNET_EVENTS]	= {0L};

NODE            *NP;
LINK            *LP;
CnetLinkinfo	*linkinfo;
CnetNodeinfo	nodeinfo;

CnetError	cnet_errno	= ER_OK;
RUNSTATE	cnet_state	= STATE_PAUSED;

long		TIMENOW_in_MSEC	= 0L;


/* --------------------- X-WINDOWS GLOBAL VARIABLES ---------------------- */

#if	defined(USE_TCLTK)

Display		*display;

Tcl_Interp	*tcl_interp;
Tk_Window	tcl_mainwindow;

#endif	/* defined(USE_TCLTK) */


/* ------------------------ PARSING VARIABLES ---------------------------- */


INPUT	input;
long	value		= 0L;
int	nerrors		= 0;

char	chararray[BUFSIZ];
